$("#menuButton").click(function() {
    $("#sidebar").css("right", "0");
    $("body").addClass("menu-open");
});

$("#closeButton").click(function() {
    $("#sidebar").css("right", "-300px");
    $("body").removeClass("menu-open");
});

new WOW({
            animateClass: 'animated', // Updated class for Animate.css v4
            offset: 100
        }).init();
        // Odometer JS 
        $(document).ready(function() {
            $('.odometer').appear(function() {
                var odo = $(this);
                var countNumber = odo.attr("data-count");
                odo.html(countNumber);
            });
            const boxes = $(".chy-class-add");
            boxes.each(function() {
                gsap.to(this, {
                    scrollTrigger: {
                        trigger: this,
                        scrub: 1,
                        start: "top 80%",
                        end: "bottom bottom",
                        toggleClass: "active",
                        toggleActions: "play none none reverse",
                        once: true,
                    },
                });
            });
            gsap.utils.toArray(" .asslideupcta").forEach((el, index) => {
                let tlcta = gsap.timeline({
                    scrollTrigger: {
                        trigger: el,
                        scrub: 1,
                        start: "top 90%",
                        end: "top 70%",
                        toggleActions: "play none none reverse",
                        markers: false,
                    },
                });

                tlcta
                    .set(el, { transformOrigin: "center center" })
                    .from(
                        el,
                        { opacity: 1, y: "+=300" },
                        { opacity: 1, y: 0, duration: 1, immediateRender: false }
                    );
            });

            // For each images with class "animate-image" on page
            gsap.utils.toArray(".chy-zoomout3").forEach((el, index) => {
                let tl6 = gsap.timeline({
                    scrollTrigger: {
                        trigger: el,
                        scrub: 1,
                        start: "top 85%",
                        end: "buttom 50%",
                        toggleActions: "play none none reverse",
                        markers: false,
                    },
                });

                tl6.set(el, { transformOrigin: "center center" }).fromTo(
                    el,
                    { scale: 1.5 },
                    { scale: 1, duration: 1, immediateRender: false }
                );
            });
        });
        // Ensure gsap and ScrollTrigger are available
        if (gsap && ScrollTrigger) {
          // Register the ScrollTrigger plugin
          gsap.registerPlugin(ScrollTrigger);

          // Select all elements with class "animate-image"
          gsap.utils.toArray(".chyroted").forEach((el, index) => {
            // Create a timeline for each element
            let tl6 = gsap.timeline({
              scrollTrigger: {
                trigger: el, // Use the element as the trigger
                scrub: 3,
                start: "top 70%",
                end: "top 50%",
                toggleActions: "play none none reverse",
                markers: false, // Set to true to debug scroll positions
              },
            });

            // Set transform origin and animate rotation
            tl6.set(el, { transformOrigin: "center center" }).fromTo(
              el,
              { rotateZ: 360 },
              { rotateZ: 0, duration: 1, immediateRender: false }
            );
          });
        } else {
          console.error("GSAP or ScrollTrigger is not available.");
        }
        $(".circle_percent").each(function() {
            var $this = $(this),
                $dataV = $this.data("percent"),
                $dataDeg = $dataV * 3.6,
                $round = $this.find(".round_per");
            $round.css("transform", "rotate(" + parseInt($dataDeg + 180) + "deg)"); 
            $this.append('<div class="circle_inbox"><span class="percent_text"></span></div>');
            $this.prop('Counter', 0).animate({Counter: $dataV},
            {
                duration: 2000, 
                easing: 'swing', 
                step: function (now) {
                    $this.find(".percent_text").text(Math.ceil(now)+"%");
                }
            });
            if($dataV >= 51){
                $round.css("transform", "rotate(" + 360 + "deg)");
                setTimeout(function(){
                    $this.addClass("percent_more");
                },1000);
                setTimeout(function(){
                    $round.css("transform", "rotate(" + parseInt($dataDeg + 180) + "deg)");
                },1000);
            } 
        });

          //Accordion Box
  if ($(".accordion-box").length) {
    $(".accordion-box").on("click", ".acc-btn", function () {
      var outerBox = $(this).parents(".accordion-box");
      var target = $(this).parents(".accordion");

      if ($(this).next(".acc-content").is(":visible")) {
        //return false;
        $(this).removeClass("active");
        $(this).next(".acc-content").slideUp(300);
        $(outerBox).children(".accordion").removeClass("active-block");
      } else {
        $(outerBox).find(".accordion .acc-btn").removeClass("active");
        $(this).addClass("active");
        $(outerBox).children(".accordion").removeClass("active-block");
        $(outerBox).find(".accordion").children(".acc-content").slideUp(300);
        target.addClass("active-block");
        $(this).next(".acc-content").slideDown(300);
      }
    });
  }